%global gemname rubyzip

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary: A ruby module for reading and writing zip files
Name: rubygem-%{gemname}
Version: 0.9.4
Release: 1%{?dist}
Group: Development/Languages
License: Ruby or GPLv2
URL: http://rubyzip.sourceforge.net/
Source0: http://rubygems.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
Requires: ruby
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: ruby(rubygems)
BuildRequires: ruby
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
A ruby library for reading and writing zip files.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep
%setup -q -c -T
mkdir -p .%{gemdir}
gem install --local --install-dir .%{gemdir} --force %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gemdir}
cp -a .%{gemdir}/* %{buildroot}%{gemdir}/
rm -f %{buildroot}%{geminstdir}/Rakefile %{buildroot}%{geminstdir}/TODO
rm -f %{buildroot}%{geminstdir}/install.rb
chmod 664 %{buildroot}%{geminstdir}/lib/zip/*.rb
chmod 755 %{buildroot}%{geminstdir}/samples/*.rb
chmod 755 %{buildroot}%{geminstdir}/test/*.rb
chmod 644 %{buildroot}%{geminstdir}/test/data/*
chmod 755 %{buildroot}%{geminstdir}/test/data/notzippedruby.rb
chmod 755 %{buildroot}%{geminstdir}/test/data/file2.txt

# for some reason the write_simple example uses dos-style line endings; we
# could convert it, but it is simpler just to remove it
rm -f %{buildroot}%{geminstdir}/samples/write_simple.rb

%files
%dir %{geminstdir}
%doc %{geminstdir}/ChangeLog
%doc %{geminstdir}/NEWS
%doc %{geminstdir}/README
%{geminstdir}/lib
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}
%{geminstdir}/samples
%{geminstdir}/test


%changelog
* Wed Aug 03 2011 Chris Lalancette <clalance@redhat.com> - 0.9.4-1
- Initial package
